/* LCM type definition class file
 * This file was automatically generated by lcm-gen
 * DO NOT MODIFY BY HAND!!!!
 */

package exlcm;
 
import java.io.*;
import java.util.*;
import lcm.lcm.*;
 
public final class gps_fint implements lcm.lcm.LCMEncodable
{
    public float time;
    public float latitude;
    public float longitude;
    public float altitude;
    public float utm_x;
    public float utm_y;
 
    public gps_fint()
    {
    }
 
    public static final long LCM_FINGERPRINT;
    public static final long LCM_FINGERPRINT_BASE = 0xc5a7f22bde5c5accL;
 
    static {
        LCM_FINGERPRINT = _hashRecursive(new ArrayList<Class<?>>());
    }
 
    public static long _hashRecursive(ArrayList<Class<?>> classes)
    {
        if (classes.contains(exlcm.gps_fint.class))
            return 0L;
 
        classes.add(exlcm.gps_fint.class);
        long hash = LCM_FINGERPRINT_BASE
            ;
        classes.remove(classes.size() - 1);
        return (hash<<1) + ((hash>>63)&1);
    }
 
    public void encode(DataOutput outs) throws IOException
    {
        outs.writeLong(LCM_FINGERPRINT);
        _encodeRecursive(outs);
    }
 
    public void _encodeRecursive(DataOutput outs) throws IOException
    {
        outs.writeFloat(this.time); 
 
        outs.writeFloat(this.latitude); 
 
        outs.writeFloat(this.longitude); 
 
        outs.writeFloat(this.altitude); 
 
        outs.writeFloat(this.utm_x); 
 
        outs.writeFloat(this.utm_y); 
 
    }
 
    public gps_fint(byte[] data) throws IOException
    {
        this(new LCMDataInputStream(data));
    }
 
    public gps_fint(DataInput ins) throws IOException
    {
        if (ins.readLong() != LCM_FINGERPRINT)
            throw new IOException("LCM Decode error: bad fingerprint");
 
        _decodeRecursive(ins);
    }
 
    public static exlcm.gps_fint _decodeRecursiveFactory(DataInput ins) throws IOException
    {
        exlcm.gps_fint o = new exlcm.gps_fint();
        o._decodeRecursive(ins);
        return o;
    }
 
    public void _decodeRecursive(DataInput ins) throws IOException
    {
        this.time = ins.readFloat();
 
        this.latitude = ins.readFloat();
 
        this.longitude = ins.readFloat();
 
        this.altitude = ins.readFloat();
 
        this.utm_x = ins.readFloat();
 
        this.utm_y = ins.readFloat();
 
    }
 
    public exlcm.gps_fint copy()
    {
        exlcm.gps_fint outobj = new exlcm.gps_fint();
        outobj.time = this.time;
 
        outobj.latitude = this.latitude;
 
        outobj.longitude = this.longitude;
 
        outobj.altitude = this.altitude;
 
        outobj.utm_x = this.utm_x;
 
        outobj.utm_y = this.utm_y;
 
        return outobj;
    }
 
}

